MPI_File_write_at_all(3)

NAME
MPI_File_write_at_all - Collective write using explict offset

SYNOPSIS
int MPI_File_write_at_all(MPI_File mpi_fh, MPI_Offset offset, void *buf,
                          int count, MPI_Datatype datatype,
                          MPI_Status *status)

INPUT PARAMETERS
fh  - file handle (handle)
offset
    - file offset (nonnegative integer)
buf - initial address of buffer (choice)
count
    - number of elements in buffer (nonnegative integer)
datatype
    - datatype of each buffer element (handle)

OUTPUT PARAMETERS
status
    - status object (Status)

LOCATION
write_atall.c